summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMihai Moldovan <ionic@ionic.de>2015-04-01 10:15:14 +0200
committerMihai Moldovan <ionic@ionic.de>2015-04-01 10:15:14 +0200
commita5e6b7679e970cf540567ee50605ea74b68e5388 (patch)
treef190b5c37261d594baf75db1c64f67b6512fe91e
parente62636dfeaf85c0bc36ca596619ac5ab3c57637b (diff)
downloadbuildscripts-a5e6b7679e970cf540567ee50605ea74b68e5388.tar.gz
buildscripts-a5e6b7679e970cf540567ee50605ea74b68e5388.tar.bz2
buildscripts-a5e6b7679e970cf540567ee50605ea74b68e5388.zip
bin/build-rpm-package: add ERR trap handler. This script is executed with set -e and cleanup not used if any command errors otherwise.
-rwxr-xr-xbin/build-rpm-package2
1 files changed, 1 insertions, 1 deletions
diff --git a/bin/build-rpm-package b/bin/build-rpm-package
index 13fde20..a034ce1 100755
--- a/bin/build-rpm-package
+++ b/bin/build-rpm-package
@@ -105,7 +105,7 @@ cleanup () {
}
# Run cleanup() automatically.
-trap cleanup EXIT SIGTERM SIGINT SIGHUP SIGPIPE SIGALRM SIGUSR1 SIGUSR2
+trap cleanup ERR EXIT SIGTERM SIGINT SIGHUP SIGPIPE SIGALRM SIGUSR1 SIGUSR2
# FIXME: this should really be in a common.(sh) file!
function make_boolean () {